Bug 835836 - Missing quotes in the CLI scipt in the JBoss administration&configuration guide
Missing quotes in the CLI scipt in the JBoss administration&configuration guide
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: EAP 6.0.1
Assigned To: Misty Stanley-Jones
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 05:02 EDT by Jitka Kozana
Modified: 2014-06-18 03:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.5 Build Filter: null Build Name: Build Date: 20-06-2012 22:22:54
Last Closed: 2013-03-20 21:56:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jitka Kozana 2012-06-27 05:02:35 EDT
In the document
http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6/html-single/Administration_and_Configuration_Guide/index.html#Use_TCP_Communication_for_the_Clustering_Subsystem

in Procedure 13.7, part 2:
the second part of the CLI script is not running, the " and " are missing in the list of proxies.

Current version:
/profile=full-ha/subsystem=modcluster/mod-cluster-config=configuration/:write-attribute(name=proxy-list,value=10.33.144.3:6666,10.33.144.1:6666)

The list of ips and ports has to be enclosed in the quotes to get it working, as follows:

/profile=full-ha/subsystem=modcluster/mod-cluster-config=configuration/:write-attribute(name=proxy-list,value="10.33.144.3:6666,10.33.144.1:6666")
Comment 1 Jitka Kozana 2012-06-27 06:20:45 EDT
The same (missing quotes) applies to CLI in Table 13.9. mod_cluster Web Context Configuration Options:
Current version:
/profile=full-ha/subsystem=modcluster/mod-cluster-config=configuration/:write-attribute(name=excluded-contexts,value=ROOT,invoker,jbossws,juddi,console)

Working version:
/profile=full-ha/subsystem=modcluster/mod-cluster-config=configuration/:write-attribute(name=excluded-contexts,value="ROOT,invoker,jbossws,juddi,console")


Also 13.10. mod_cluster Proxy Configuration Options
Current version:
/profile=full-ha/subsystem=modcluster/mod-cluster-config=configuration/:write-attribute(name=proxy-list,value=127.0.0.1,127.0.0.2)

Working version:
/profile=full-ha/subsystem=modcluster/mod-cluster-config=configuration/:write-attribute(name=proxy-list,value="127.0.0.1,127.0.0.2")
Comment 2 Misty Stanley-Jones 2012-07-02 02:47:42 EDT
Fixed in this topic and also in topic 8982 (table 13.9 and 13.10)

Note You need to log in before you can comment on or make changes to this bug.